Bug 225431 - multimedia/x265: Update to 2.6 and various enhancements
Summary: multimedia/x265: Update to 2.6 and various enhancements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-24 15:15 UTC by daniel.engberg.lists
Modified: 2018-02-11 20:22 UTC (History)
2 users (show)

See Also:
madpilot: maintainer-feedback-


Attachments
Update x265 to version 2.6 (2.36 KB, patch)
2018-01-24 15:15 UTC, daniel.engberg.lists
no flags Details | Diff
Update x265 to version 2.6 v2 (2.36 KB, patch)
2018-01-24 16:49 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2018-01-24 15:15:53 UTC
Created attachment 190032 [details]
Update x265 to version 2.6

Update to 2.6
Add option to enable HI10P and HI12P
Add option to enable O3 optimization
Add debug option
Comment 1 daniel.engberg.lists 2018-01-24 16:49:16 UTC
Created attachment 190039 [details]
Update x265 to version 2.6 v2

Update x265 to version 2.6

Update to 2.6
Add option to enable HI10P and HI12P
Add option to enable O3 optimization
Add debug option
Use tarball provided by VideoLAN instead to avoid subdirs
Comment 2 Guido Falsi freebsd_committer 2018-02-10 21:52:14 UTC
Maintainer timeout.
Comment 3 commit-hook freebsd_committer 2018-02-11 20:19:40 UTC
A commit references this bug:

Author: madpilot
Date: Sun Feb 11 20:19:13 UTC 2018
New revision: 461527
URL: https://svnweb.freebsd.org/changeset/ports/461527

Log:
  - Update multimedia/x265 to 2.6
  - Use the distfile provided by the VideoLAN project
  - Add options for HI10P and HI12P (available only for amd64)
  - Add DEBUG option
  - Add OPTIMIZED_CFLAGS option
  - Force using clang 5.0 on 10.4. Base provided clang fails during
    compilation
  - Chase shlib bump in dependent ports

  PR:		225431
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	Maintainer timeout

Changes:
  head/graphics/libbpg/Makefile
  head/multimedia/ccextractor/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/gstreamer1-plugins-x265/Makefile
  head/multimedia/handbrake/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/x265/Makefile
  head/multimedia/x265/distinfo
  head/multimedia/x265/pkg-plist
  head/x11/xpra/Makefile
Comment 4 Guido Falsi freebsd_committer 2018-02-11 20:22:08 UTC
Committed with some changes.

Since the HI10P and HI12P options are available on amd64 I used the OPTIONS_DEFINE_amd64 variable. In this way they only appear when used on the relevant architecture.

Also the port failed to build on 10.4. I forced clang 5.0 usage there.

Thanks!